Node (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.node
Interface Node

All Superinterfaces:
  Comparable<ComparableNode>, ComparableNode, Element

All Known Implementing Classes:
  GraphNode, NonTerminal, Root, Token

    public interface Node

extends ComparableNode, Element

Method Summary
`void` | `addIncomingEdge(Edge in)`
`void` | `addOutgoingEdge(Edge out)`
`Iterator<Edge>` | `getIncomingEdgeIterator()`
`Iterator<Edge>` | `getOutgoingEdgeIterator()`
`void` | `removeIncomingEdge(Edge in)`
`void` | `removeOutgoingEdge(Edge out)`
`void` | `setIndex(int index)`

Methods inherited from interface org.maltparser.core.syntaxgraph.node.ComparableNode
`getCompareToIndex, getIncomingSecondaryEdges, getInDegree, getIndex, getLeftmostDescendant, getLeftmostDescendantIndex, getLeftmostProperDescendant, getLeftmostProperDescendantIndex, getOutDegree, getOutgoingSecondaryEdges, getRightmostDescendant, getRightmostDescendantIndex, getRightmostProperDescendant, getRightmostProperDescendantIndex, isRoot`

Methods inherited from interface org.maltparser.core.syntaxgraph.Element
`addLabel, addLabel, addLabel, clear, getBelongsToGraph, getLabelCode, getLabelSet, getLabelSymbol, getLabelTypes, hasLabel, isLabeled, nLabels, removeLabel, removeLabels, setBelongsToGraph`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### addIncomingEdge

    void addIncomingEdge(Edge in)
                         throws MaltChainedException

  Throws:
    `MaltChainedException`

### addOutgoingEdge

    void addOutgoingEdge(Edge out)
                         throws MaltChainedException

  Throws:
    `MaltChainedException`

### removeIncomingEdge

    void removeIncomingEdge(Edge in)
                            throws MaltChainedException

  Throws:
    `MaltChainedException`

### removeOutgoingEdge

    void removeOutgoingEdge(Edge out)
                            throws MaltChainedException

  Throws:
    `MaltChainedException`

### getIncomingEdgeIterator

    Iterator<Edge> getIncomingEdgeIterator()

### getOutgoingEdgeIterator

    Iterator<Edge> getOutgoingEdgeIterator()

### setIndex

    void setIndex(int index)
                  throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.